मुख्य सामग्री पर जाएं
POST
/
media
Create media
curl --request POST \
  --url https://api.youka.io/api/v1/media \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputFileId": "<string>",
  "type": "video"
}
'
{
  "id": "<string>",
  "type": "video",
  "url": "<string>",
  "status": "processing",
  "error": "<string>",
  "width": 123,
  "height": 123,
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "previewUrl": "<string>"
}

प्राधिकरण

Authorization
string
header
आवश्यक

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

हेडर

Idempotency-Key
string

बॉडी

application/json
inputFileId
string
आवश्यक
type
enum<string>
आवश्यक
उपलब्ध विकल्प:
video,
image,
logo,
intro-video,
outro-video

प्रतिक्रिया

200 - application/json

Media created

id
string
आवश्यक
type
enum<string>
आवश्यक
उपलब्ध विकल्प:
video,
image,
logo,
intro-video,
outro-video
url
string<uri>
आवश्यक
status
enum<string>
आवश्यक
उपलब्ध विकल्प:
processing,
ready,
failed
error
string | null
आवश्यक
width
number
आवश्यक
height
number
आवश्यक
createdAt
string
आवश्यक
updatedAt
string
आवश्यक
previewUrl
string<uri> | null